Summary:	Menu editor for the GNOME desktop
Summary(pl.UTF-8):	Edytor menu dla GNOME
Name:		alacarte
Version:	3.54.1
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/alacarte/3.54/%{name}-%{version}.tar.xz
# Source0-md5:	d9c972a71e347730b1c0c54f21f7a802
URL:		https://gitlab.gnome.org/GNOME/alacarte
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.16.4
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gnome-menus-devel >= 3.5.3
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme >= 0.10-3
Requires:	gnome-menus >= 3.5.3
Requires:	gtk+3 >= 3.0
Requires:	python-pygobject3 >= 3.0
# for help
Suggests:	gnome-user-docs >= 3.36
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alacarte is a simple freedesktop.org compliant menu editor for GNOME
that lets you change your menus, simply and quickly.

%description -l pl.UTF-8
Alacarte jest prostym, zgodnym z freedesktop.org edytorem menu dla
GNOME pozwalającym w szybki i łatwy sposób dostosować menu do własnych
potrzeb.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PYTHON=%{__python3} \
%if "%{_host_cpu}" != "x32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{ie,io}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/alacarte
%{py3_sitescriptdir}/Alacarte
%{_datadir}/alacarte
%{_datadir}/metainfo/org.gnome.alacarte.metainfo.xml
%{_desktopdir}/alacarte.desktop
%{_iconsdir}/hicolor/*x*/apps/alacarte.png
%{_mandir}/man1/alacarte.1*
%changelog
* Tue Mar 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/alacarte.git;a=log;h=master

* Thu Mar 13 2025 Jakub Bogusz <qboosh@pld-linux.org> 30c698d
- updated to 3.54.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6bfc12b
- Release 4 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 78fa81d
- python 3.13 rebuild

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> c918869
- force python3-specific shebang; release 2

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> ecfa04f
- updated to 3.54.0 (GNOME 47)

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> a6139ce
- updated to 3.52.0

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 109bd69
- updated to 3.50.0

* Tue Jul 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 5b73598
- updated to 3.44.3

* Mon Jun 20 2022 Jakub Bogusz <qboosh@pld-linux.org> c66c55a
- x32 fix, release 2

* Mon Jun 20 2022 Jakub Bogusz <qboosh@pld-linux.org> a8e6669
- updated to 3.44.2

* Mon Apr 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 9ca63df
- updated to 3.44.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3ca989c
- Release 3 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 605966a
- rebuild with python 3.10

* Tue Nov 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3f6c81c
- updated to 3.42.0

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> ec5a3f0
- noarch package
- rel 2

* Wed Apr 15 2020 Jakub Bogusz <qboosh@pld-linux.org> a2b4355
- updated to 3.36.0 (for GNOME 3, python3 based now)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c805db4
- updated gettext BR

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c70c5b
- bem locale is supported now (since glibc 2.18-3)

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 912fca8
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> caea3e8
- Requires(post,postun): gtk-update-icon-cache

